
Foreman - Bug #29270

Implement refresh token mechanism for SSO

03/05/2020 10:20 AM - Rahul Bajaj

Status: Duplicate   

Priority: Normal   

Assignee: Rahul Bajaj   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1798489 Red Hat JIRA:  

Pull request:    

Description

Related issues:

Is duplicate of Foreman - Bug #29744: Consistent session expiry for oidc exte... Closed

History

#1 - 03/05/2020 10:20 AM - Rahul Bajaj

Description of problem:

If Access Token Lifespan is set to 5 mins then the user is getting sign out instead after idle SSO timeout

Version-Release number of selected component (if applicable):

Satellite 6.7 Snap 10

How reproducible:

Always

Steps to Reproduce:

1. Setup the Satellite with RHSSO instance and Keep Access Token Lifespan = 5 min

2. Keep SSO Session Idle = 30 mins

3. Setup the Smart Card with firefox browser and login using a smart card in Satellite

4. Go Idle for 5 mins

5. User is getting Signout from the application after 5 mins instead of 30 mins of idle session

Actual results:

User is getting Signout

Expected results:

User should not get Signout

Additional info:

This seems to be an issue with a refresh token if JWT token got expired, need to renew with the use of Refresh Token.

#2 - 05/21/2020 09:29 AM - Rahul Bajaj

- Status changed from Assigned to Closed

#3 - 05/23/2020 12:24 PM - Tomer Brisker

- Status changed from Closed to Duplicate

marking as duplicate, as the issue was resolved by #29744

#4 - 05/23/2020 12:24 PM - Tomer Brisker

- Is duplicate of Bug #29744: Consistent session expiry for oidc external users added
